#!/usr/bin/env python

# Setup script for Quixote

__revision__ = "$Id: setup.py 20449 2003-01-27 16:20:32Z akuchlin $"

import os
from distutils import core
from distutils.extension import Extension
from qx_distutils import qx_build_py

htmltext = Extension(name="quixote._c_htmltext",
                     sources=["src/_c_htmltext.c"])

kw = {'name': "Quixote",
      'version': "0.6b2",
      'description': "A highly Pythonic Web application framework",
      'author': "MEMS Exchange",
      'author_email': "quixote@mems-exchange.org",
      'url': "http://www.mems-exchange.org/software/quixote/",

      'package_dir': {'quixote':os.curdir},
      'packages': ['quixote',  'quixote.demo', 'quixote.form',
                   'quixote.server'],

      # Uncomment to enable the C implementation of the htmltext type
      #'ext_modules': [htmltext],

      'cmdclass': {'build_py': qx_build_py},
     }

# If we're running Python 2.3, add classifiers
if hasattr(core, 'setup_keywords') and 'classifiers' in core.setup_keywords:
    kw['classifiers'] = ['Development Status :: 4 - Beta',
        'Environment :: No Input/Output (Daemon)',
        'License :: OSI Approved :: Python License (CNRI Python License)',
        'Intended Audience :: Developers',
        'Operating System :: Unix',
        'Operating System :: Microsoft :: Windows',
        'Operating System :: MacOS :: MacOS X',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
         ]

core.setup(**kw)
